Bug 5886 - Line in on CM8738 not work with ALSA 1.04
: Line in on CM8738 not work with ALSA 1.04
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/kernel-modules-alsa-std-up)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-17 10:00 by
Modified: 2005-09-05 00:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-17 10:00:57
с ALSA на карте CM8738 не работает линейный вход
Line in on CM8738 is not work with ALSA 1.04:

kernel-modules-alsa-std-up-1.0.4-alt4.6
libalsa-1.0.5-alt2
alsa-utils-1.0.5-alt3


а с OSS -- работает.
Line in on CM8738  is good work with OSS.

cmpci: version $Revision: 6.16 $ time 21:57:30 Aug  3 2004
cmpci: found CM8738 adapter at io 0xb000 irq 16
cmpci: chip version = 055

Output lspci -vv :

00:0c.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
        Subsystem: C-Media Electronics Inc CMI8738/C3DX PCI Audio Device
	  Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping+ SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (500ns min, 6000ns max)
        Interrupt: pin A routed to IRQ 16
        Region 0: I/O ports at b000 [size=256]
        Capabilities: [c0] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Steps to Reproduce:
1. Install ALT Master 2.4
2.
3.
------- Comment #1 From 2005-01-19 17:02:48 -------
Покажите вывод amixer contents на этой карте при загруженном snd-cmpci (когда
линейный вход должен работать, но не работает).
------- Comment #2 From 2005-01-20 21:08:23 -------
 вывод amixer contents на этой карте при загруженном snd-cmpci (когда
 линейный вход должен работать, но не работает).

umid=39,iface=CARD,name='Modem'
  ; type=BOOLEAN,access=rw---,values=1
  : values=off
numid=1,iface=MIXER,name='Master Playback Volume'
  ; type=INTEGER,access=rw---,values=2,min=0,max=31,step=0
  : values=21,21
numid=2,iface=MIXER,name='3D Control - Switch'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=4,iface=MIXER,name='PCM Playback Switch'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=3,iface=MIXER,name='PCM Playback Volume'
  ; type=INTEGER,access=rw---,values=2,min=0,max=31,step=0
  : values=26,27
numid=5,iface=MIXER,name='PCM Capture Switch'
  ; type=BOOLEAN,access=rw---,values=2
  : values=off,off
numid=7,iface=MIXER,name='Synth Playback Switch'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=6,iface=MIXER,name='Synth Playback Volume'
  ; type=INTEGER,access=rw---,values=2,min=0,max=31,step=0
  : values=27,27
numid=8,iface=MIXER,name='Synth Capture Route'
  ; type=BOOLEAN,access=rw---,values=4
  : values=off,off,off,off
numid=35,iface=MIXER,name='Line-In As Bass'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=25,iface=MIXER,name='Line-In As Rear'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=13,iface=MIXER,name='Line Playback Switch'
  ; type=BOOLEAN,access=rw---,values=2
  : values=on,on
numid=12,iface=MIXER,name='Line Playback Volume'
  ; type=INTEGER,access=rw---,values=2,min=0,max=31,step=0
  : values=26,26
numid=14,iface=MIXER,name='Line Capture Route'
  ; type=BOOLEAN,access=rw---,values=4
  : values=off,off,off,off
numid=10,iface=MIXER,name='CD Playback Switch'
  ; type=BOOLEAN,access=rw---,values=2
  : values=on,on
numid=9,iface=MIXER,name='CD Playback Volume'
  ; type=INTEGER,access=rw---,values=2,min=0,max=31,step=0
  : values=24,24
numid=11,iface=MIXER,name='CD Capture Route'
  ; type=BOOLEAN,access=rw---,values=4
  : values=off,off,off,off
numid=38,iface=MIXER,name='Mic As Center/LFE'
  ; type=BOOLEAN,access=rw---,values=1
  : values=off
numid=22,iface=MIXER,name='Mic Boost'
  ; type=BOOLEAN,access=rw---,values=1
  : values=off
numid=16,iface=MIXER,name='Mic Playback Switch'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=15,iface=MIXER,name='Mic Playback Volume'
  ; type=INTEGER,access=rw---,values=1,min=0,max=31,step=0
  : values=13
numid=17,iface=MIXER,name='Mic Capture Switch'
  ; type=BOOLEAN,access=rw---,values=1
  : values=off
numid=23,iface=MIXER,name='Mic Capture Volume'
  ; type=INTEGER,access=rw---,values=1,min=0,max=7,step=0
  : values=0
numid=18,iface=MIXER,name='PC Speaker Playback Volume'
  ; type=INTEGER,access=rw---,values=1,min=0,max=3,step=0
  : values=2
numid=20,iface=MIXER,name='Aux Playback Switch'
  ; type=BOOLEAN,access=rw---,values=2
  : values=on,on
numid=19,iface=MIXER,name='Aux Playback Volume'
  ; type=INTEGER,access=rw---,values=2,min=0,max=15,step=0
  : values=12,12
numid=21,iface=MIXER,name='Aux Capture Switch'
  ; type=BOOLEAN,access=rw---,values=2
  : values=off,off
numid=29,iface=MIXER,name='IEC958 5V'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=28,iface=MIXER,name='IEC958 Copyright'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=31,iface=MIXER,name='IEC958 In Monitor'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=37,iface=MIXER,name='IEC958 In Phase Inverse'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=36,iface=MIXER,name='IEC958 In Select'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=27,iface=MIXER,name='IEC958 In Valid'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=30,iface=MIXER,name='IEC958 Loop'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=33,iface=MIXER,name='IEC958 Playback Con Mask',device=2
  ; type=IEC958,access=r----,values=1
  : values=?
numid=26,iface=MIXER,name='IEC958 Output Switch'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=24,iface=MIXER,name='Four Channel Mode'
  ; type=BOOLEAN,access=rw---,values=1
  : values=on
numid=32,iface=PCM,name='IEC958 Playback Default',device=2
  ; type=IEC958,access=rw---,values=1
  : values=?
------- Comment #3 From 2005-01-21 19:57:15 -------
> numid=35,iface=MIXER,name='Line-In As Bass'
>   ; type=BOOLEAN,access=rw---,values=1
>   : values=on
> numid=25,iface=MIXER,name='Line-In As Rear'
>   ; type=BOOLEAN,access=rw---,values=1
>   : values=on

Вот это надо бы выключить, иначе Line-In становится выходом.
------- Comment #4 From 2005-04-26 22:09:35 -------
Проблема решилась?
------- Comment #5 From 2005-04-27 20:00:08 -------
> Проблема решилась?
Да
------- Comment #6 From 2005-04-27 21:56:12 -------
Ну тогда поставим FIXED.